Subject: Re: "gitk --author=foo" shows also parent

From: Nikolai Kosjar <[email-masked]>
Date: Tue, 26 Apr 2016 18:12:48 +0200

On 04/26/2016 04:06 PM, Mike Rappazzo wrote:
> On Tue, Apr 26, 2016 at 9:08 AM, Nikolai Kosjar <[email-masked]> wrote:
>> Hi!
>>
>>          $ gitk --author=foo
>>
>> ...seems to show also the parent of each author-matched commit, whereas
>>
>>          $ git log --author=foo
>>
>> does not. Is this intended or a bug? I've stumbled over this while
>> configuring a gitk view with the author field.
>
> I believe that this is intentional.  Notice that the parent commit's
> circle is just outlined
> compared to the selected authored commits are filled.  I consider this
> the context
> of the commits you are looking at.

Hmm, then I'm not interested in the context since it's too noisy. Is 
there any way to suppress this?

Nikolai